ifupdown(8)

NAME
ifup - bring a network interface up

ifdown - take a network interface down

SYNOPSIS
ifup [-sinv] [--scheme=scheme] [--interfaces=file] [--no-act] [--verbose] [-a|ifaces]

ifdown [-sinv] [--scheme=scheme] [--interfaces=file] [--no-act] [--verbose] [-a|ifaces]

DESCRIPTION
The ifup and ifdown commands man be used to configure (or, respectively, deconfigure) network interfaces, based on descriptions of the interfaces entered into the file /etc/network/interfaces.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-v, --verbose
    Show commands being executed.

-n, --no-act
    Don't actually execute the commands.

-i file, --interfaces file
    Read interface definitions from a different file.

-s scheme, --scheme scheme
    Use a particular scheme.

-a, --all
    Affect all interfaces (except those marked noauto).

NOTES
The ifup and ifdown programs don't actually know anything about configuring interfaces themselves but instead invoke lower-level utilities such as ifconfig and route to do the actual dirtywork. The main advantages to using ifup and ifdown instead of calling the lower-level utilities directy is the ability to keep all your interface specifications in a single (easily parsable) file, and to not have to deal with the various idiosyncracies of the lower-level commands.

FILES

/etc/network/interfaces
    Descriptions of all the network interfaces the system has.

BUGS
Schemes as implemented (and as almost completely undocumented) are something of a kludge, and will be significantly reworked in a future version.

AUTHOR
This manual page was written by Anthony Towns <aj@azure.humbug.org.au>.

SEE ALSO
interfaces(5), ifconfig(8),